Subject: [HOKEY] Change proposal for ERP-AAK - 3: Multiple CAP case support

From: Qin Wu <[email-masked]>
Date: Thu, 29 Sep 2011 17:45:39 +0800

Hi,
As we discussed on the list to the draft-ietf-hokey-erp-aak-04, it is not difficult to support multiple CAP(s) case.
However we should make sure each pMSK is calculated for each CAP using different Sequence number, therefore I propose to do the 
following change to allow two ways to avoid the same pMSK derived for multiple CAP,
one way is 
The multiple sequence numbers can be derived from SEQ field in the message header by following +1 rule.

e.g., we have 3 CAP, the SEQ field is set to the value 100

so the pMSK for CAP A will be derived using seqence number 100.

    the pMSK for CAP B will be derived using sequence number 100+1

   the pMSK for CAP C will be derived using sequence number 100+2

The second way is directly using Sequence number field carried in the TV of the message for each CAP,and mandate

each sequence number asscicated with each CAP must always follow that CAP. Also I think if multiple Sequenced number TLV are carried for each CAP,

the SEQ field in the ERP/AAK message header should be set to smallest  value contained in the  Sequenced number TLVs. This is more flexible way comparing 

with the first way. But I think it will be better to allow both.

Regards!

-Qin